Package twisted :: Package protocols :: Module smtp :: Class SMTPClient

[frames | no frames]

## Class SMTPClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          SMTPClient

Known Subclasses:
  `ESMTPClient`, `SMTPRelayer`, `SMTPSender`

SMTP client for sending emails.

Method Summary
| `__init__(self, identity, logsize)`
| ``connectionLost`(self, reason)` We are no longer connected
| ``connectionMade`(self)` Called when a connection is made.
| `finishedFileTransfer(self, lastsent)`
| ``getMailData`(self)` Return file-like object containing data of message to be sent.
| ``getMailFrom`(self)` Return the email address the mail is from.
| ``getMailTo`(self)` Return a list of emails to send to.
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``sendLine`(self, line)` Logging sendLine
| ``sentMail`(self, code, resp, numOk, addresses, log)` Called when an attempt to send an email is completed.
| `smtpConnectionFailed(self, code, resp)`
| `smtpState_data(self, code, resp)`
| `smtpState_disconnect(self, code, resp)`
| `smtpState_from(self, code, resp)`
| `smtpState_helo(self, code, resp)`
| `smtpState_msgSent(self, code, resp)`
| `smtpState_to(self, code, resp)`
| `smtpState_toOrData(self, code, resp)`
| `smtpTransferFailed(self, code, resp)`
| `transformChunk(self, chunk)`
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionLost(self, reason=<twisted.python.failure.Failure twisted.internet.error.Co...)

We are no longer connected

  Overrides:
    `twisted.internet.protocol.Protocol.connectionLost`

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### getMailData(self)

Return file-like object containing data of message to be sent.

The file should be a text file with local line ending convention, i.e. readline() should return a line ending in '\n'.

### getMailFrom(self)

Return the email address the mail is from.

### getMailTo(self)

Return a list of emails to send to.

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

### sendLine(self, line)

Logging sendLine

  Overrides:
    `twisted.protocols.basic.LineReceiver.sendLine`

### sentMail(self, code, resp, numOk, addresses, log)

Called when an attempt to send an email is completed.

If some addresses were accepted, code and resp are the response to the DATA command. If no addresses were accepted, code is -1 and resp is an informative message.

  Parameters:
    `addresses` - is a list of tuples (address, code, resp) listing the response to each RCPT command.
    `log` - is the SMTP session log

Generated by Epydoc 2.0 on Sat May 15 20:07:44 2004 | http://epydoc.sf.net